Bug 707781 - Use the bundled augeas in the unit tests
Use the bundled augeas in the unit tests
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Tests (Show other bugs)
4.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 707968
  Show dependency treegraph
 
Reported: 2011-05-25 18:25 EDT by Lukas Krejci
Modified: 2011-10-04 15:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-30 04:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-05-25 18:25:53 EDT
Currently, we use the system version of the augeas library when running our unit tests. While this should work we might be hit by regressions and/or incompatible changes as time and version numbers progress.

We should be using the augeas version we are bundling for all our augeas related code including the unit tests.
Comment 1 Lukas Krejci 2011-05-27 12:08:08 EDT
commit 60c0b9212c29997c9590717871282f9b94df866a
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri May 27 18:07:00 2011 +0200

    BZ 707781 - use the bundled augeas in the unit tests that require it.

Note You need to log in before you can comment on or make changes to this bug.